Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.conf
Interface JDOConfiguration

All Superinterfaces:
  BeanInfo, com.solarmetric.util.Closeable, Configuration, Serializable

All Known Subinterfaces:
  ClientConfiguration, JDBCConfiguration, JDOConnectionFactory, JDOManagedConnectionFactory

All Known Implementing Classes:
  JDOConfigurationImpl

public interface JDOConfiguration
extends Configuration

Defines the properties necessary to configure runtime properties and connect to a data source. There is a 1-1 relation between a configuration and a `PersistenceManagerFactory`.

All setter methods that take primitive parameters also have wrapper setter with the appropriate primitive wrapper. This is so the interface can be in accordance with the J2EE Connector Architecture.

See Also:
  `Configuration`

Field Summary
`static String` | `LOG_DATACACHE` Name of logger for messages from the data cache: `kodo.DataCache`.
`static String` | `LOG_ENHANCE` Name of logger for enhancement-related messages: `kodo.Enhance`.
`static String` | `LOG_METADATA` Name of logger for JDO metadata-related messages: `kodo.MetaData`.
`static String` | `LOG_REMOTE` Name of logger for messages from the remote persistence manager system: `kodo.Remote`.
`static String` | `LOG_RUNTIME` Name of logger for messages from the runtime system: `kodo.Runtime`.
`static String` | `LOG_TOOL` Name of logger for messages from the development tools: `kodo.Tool`.
`static String` | `OPTION_EMBEDDED_COLLECTION_RELATION` Kodo option for runtimes that support collections of embedded relations to other persistence capable objects.
`static String` | `OPTION_EMBEDDED_MAP_RELATION` Kodo option for runtimes that support maps of embedded relations to other persistence capable objects.
`static String` | `OPTION_EMBEDDED_RELATION` Kodo option for runtimes that support embedded relations to other persistence capable objects.
`static String` | `OPTION_ID_APPLICATION` JDO option for runtimes that support application identity.
`static String` | `OPTION_ID_DATASTORE` JDO option for runtimes that support application identity.
`static String` | `OPTION_INC_FLUSH` Kodo option for runtimes that support incremental flushing.
`static String` | `OPTION_NONTRANS_READ` JDO option for runtimes that support nontransactional reads.
`static String` | `OPTION_NULL_COLLECTION` JDO option for runtimes that support null collection or map fields.
`static String` | `OPTION_OPTIMISTIC` JDO option for runtimes that support optimistic transactions.
`static String` | `OPTION_TYPE_ARRAY` JDO option for runtimes that support persistent array fields.
`static String` | `OPTION_TYPE_COLLECTION` JDO option for runtimes that support persistent collection fields.
`static String` | `OPTION_TYPE_MAP` JDO option for runtimes that support persistent map fields.

Fields inherited from interface com.solarmetric.conf.Configuration
`ATTRIBUTE_ALLOWED_VALUES, ATTRIBUTE_TYPE`

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Method Summary
`AggregateListener[]` | `getAggregateListenerInstances()` Return the query function listeners.
`String` | `getAggregateListeners()` A ','-separted list of the plugin strings of the query `AggregateListener`s to use.
`String` | `getClassResolver()` The plugin string for the `ClassResolver` to use for custom class loading.
`ClassResolver` | `getClassResolverInstance()` The `ClassResolver` to use.
`String` | `getConnection2DriverName()` Class name of the non-XA connection driver.
`String` | `getConnection2Password()` The password for the non-XA data store connection.
`String` | `getConnection2Properties()` These properties provide any additional information needed to establish non-XA connections.
`String` | `getConnection2URL()` The URL for the non-XA data store connection.
`String` | `getConnection2UserName()` The user name for the non-XA data store connection.
`String` | `getConnectionDriverName()` Class name of the connection driver.
`Object` | `getConnectionFactory()` The connection factory, possibly from JNDI.
`Object` | `getConnectionFactory2()` The non-XA connection factory.
`String` | `getConnectionFactory2Name()` The name for the second data store connection factory.
`String` | `getConnectionFactory2Properties()` Configuration properties for the non-XA connection factory.
`String` | `getConnectionFactoryName()` The name for the data store connection factory.
`String` | `getConnectionFactoryProperties()` Configuration properties for the connection factory.
`String` | `getConnectionPassword()` The password for the data store connection.
`String` | `getConnectionProperties()` These properties provide any additional information needed to establish connections.
`String` | `getConnectionRetainMode()` Specifies the behavior of the persistence manager with respect to data store connections.
`int` | `getConnectionRetainModeConstant()` Return the connection retain mode as one of the following symbolic constants: `KodoPersistenceManager.CONN_RETAIN_PM` `KodoPersistenceManager.CONN_RETAIN_TRANS` `KodoPersistenceManager.CONN_RETAIN_DEMAND`
`String` | `getConnectionURL()` The URL for the data store connection.
`String` | `getConnectionUserName()` The user name for the data store connection.
`boolean` | `getCopyObjectIds()` Whether to copy identity objects before returning them to client code.
`String` | `getDataCache()` The `DataCache` to use for level-2 data store caching.
`DataCache[]` | `getDataCacheInstances()` Return the data caches specified in the DataCache plugin list string.
`DataCacheManager` | `getDataCacheManager()` The data cache manager manages this configuration's cache instances.
`int` | `getDataCacheTimeout()` Default data cache timeout.
`String` | `getEagerFetchMode()` Specifies the default eager fetch mode to use.
`int` | `getEagerFetchModeConstant()` Return the eager fetch mode as one of the following symbolic constants: `FetchConfiguration.EAGER_FETCH_NONE` `FetchConfiguration.EAGER_FETCH_SINGLE` `FetchConfiguration.EAGER_FETCH_MULTIPLE`
`int` | `getFetchBatchSize()` Get the size of the batch that will be pre-selected when accessing elements in a query or relationship.
`String` | `getFetchGroups()` Returns a list of fetch groups with which all `PersistenceManager` objects obtained from a `PersistenceManagerFactory` should be configured.
`String[]` | `getFetchGroupsList()` The separated list of fetch groups.
`FilterListener[]` | `getFilterListenerInstances()` Return the query filter listeners.
`String` | `getFilterListeners()` A ','-separted list of the plugin strings of the query `FilterListener`s to use.
`String` | `getFlushBeforeQueries()` Returns whether or not Kodo should automatically flush modifications to the data store before executing queries.
`int` | `getFlushBeforeQueriesConstant()` Returns one of `FetchConfiguration.QUERY_FLUSH_TRUE`, `FetchConfiguration.QUERY_FLUSH_FALSE`, or `FetchConfiguration.QUERY_FLUSH_WITH_CONNECTION`, as determined by parsing the string returned by `getFlushBeforeQueries()`.
`boolean` | `getIgnoreCache()` The default IgnoreCache setting for all PersistenceManager instances obtained from this factory.
`String` | `getJMXInterface()` Get the JMXInterface plugin string.
`com.solarmetric.license.License` | `getLicense()` Return the license for the set license key.
`String` | `getLicenseKey()` The license key for Kodo.
`String` | `getLockManager()` The plugin to use for datastore lock management.
`int` | `getLockTimeout()` The time to wait for an object lock in milliseconds, or -1 for no timeout.
`String` | `getLog()` Get the log configuration string to use.
`String` | `getManagedRuntime()` The plugin string for the `ManagedRuntime` to use for managed environments.
`ManagedRuntime` | `getManagedRuntimeInstance()` The plugin to use for integrating with a managed runtime.
`String` | `getMBeans()` Get the MBeans plugin string.
`javax.management.MBeanServer` | `getMBeanServer()` Get the MBeanServer instance associated with this configuration.
`String` | `getMBeanServerStrategy()` Get the MBeanServerStrategy string.
`JDOMetaDataRepository` | `getMetaDataRepository()` The metadata repository of managed class information.
`boolean` | `getMultithreaded()` The default Multithreaded setting for all PersistenceManager instances obtained from this factory.
`boolean` | `getNontransactionalRead()` The default NontransactionalRead setting for all PersistenceManager instances obtained from this factory.
`boolean` | `getNontransactionalWrite()` The default NontransactionalWrite setting for all PersistenceManager instances obtained from this factory.
`boolean` | `getOptimistic()` The default Optimistic setting for all PersistenceManager instances obtained from this factory.
`String` | `getPersistenceManagerFactoryClass()` The `PersistenceManagerFactory` class name.
`String` | `getPersistenceManagerImpl()` The plugin string of the `PersistenceManagerImpl` extension to create.
`String` | `getPersistenceManagerServer()` Plugin string describing whether and how this factory will act as a server to remote persistence managers.
`Transport` | `getPersistenceManagerServerInstance()` The transport layer for remote persistence manager clients.
`String` | `getPersistentClasses()` A ','-separted list of the class names of persistent types to register each time a persistence manager is obtained.
`String[]` | `getPersistentClassesList()` The separated persistent class names.
`String` | `getProfilingAgent()` Get the ProfilingAgent plugin string.
`kodo.profile.KodoProfilingAgent` | `getProfilingAgentInstance()` Get the KodoProfilingAgent instance associated with this configuration.
`String` | `getProfilingHelper()` Get the ProfilingHelper plugin string.
`com.solarmetric.profile.ProfilingHelper` | `getProfilingHelperInstance()` Get the ProfilingHelper instance.
`String` | `getProfilingInterface()` Get the ProfilingInterface plugin string.
`String` | `getProxyManager()` The plugin string for the `ProxyManager` to use for second class object proxies.
`ProxyManager` | `getProxyManagerInstance()` The `ProxyManager` to use.
`String` | `getQueryCache()` The plugin to use for level-2 data store query caching.
`String` | `getQueryCompilationCache()` The plugin to use for caching of query compilation data.
`Map` | `getQueryCompilationCacheInstance()` Return the `Map` to use in caching query compilation data using the configured plugin settings.
`String` | `getReadLockLevel()` The default read lock level to use during non-optimistic transactions.
`int` | `getReadLockLevelConstant()` The numeric read lock level.
`RemoteCommitEventManager` | `getRemoteCommitEventManager()` The remote event manager that manages this configuration's remote event listeners.
`String` | `getRemoteCommitProvider()` The plugin to use for remote commit notification.
`String` | `getRemoteJMXAdaptor()` Get the RemoteJMXAdaptor plugin string.
`boolean` | `getRestoreMutableValues()` Whether mutable second class objects are restored on rollback.
`boolean` | `getRestoreValues()` The default RestoreValues setting for all PersistenceManager instances obtained from this factory.
`boolean` | `getRetainValues()` The default RetainValues setting for all PersistenceManager instances obtained from this factory.
`boolean` | `getRetainValuesInOptimistic()` Whether to allow nontransactional instances to retain their values when modified in an optimistic transaction.
`KodoTimeWatchManager` | `getTimeWatchManager()` Get the TimeWatch Watchable for this configuration.
`String` | `getTransactionMode()` Specifies the behavior of the transaction model.
`String` | `getWriteLockLevel()` The default write lock level to use during non-optimistic transactions.
`int` | `getWriteLockLevelConstant()` The numeric write lock level.
`boolean` | `isTransactionModeManaged()` Return whether managed transactions are being used.
`DataCache` | `newDataCacheInstance()` Return a new data cache instance using the configured plugin settings.
`LockManager` | `newLockManagerInstance()` Return a new lock manager instance using the configured plugin settings.
`PersistenceManagerImpl` | `newPersistenceManagerImplInstance()` Create a new persistence manager instance with the configured plugin data.
`QueryCache` | `newQueryCacheInstance()` Return a new query cache instance using the configured plugin settings.
`RemoteCommitProvider` | `newRemoteCommitProviderInstance()` Create a remote commit provider from the configured plugin.
`void` | `setAggregateListeners(AggregateListener[] listeners)` Set the query function listeners.
`void` | `setAggregateListeners(String listeners)` A ','-separted list of the plugin strings of the query `AggregateListener`s to use.
`void` | `setClassResolver(ClassResolver classResolver)` The `ClassResolver` to use.
`void` | `setClassResolver(String classResolver)` The plugin string for the `ClassResolver` to use for custom class loading.
`void` | `setConnection2DriverName(String driverName)` Class name of the non-XA connection driver.
`void` | `setConnection2Password(String connectionPassword)` The password for the non-XA data store connection.
`void` | `setConnection2Properties(String props)` These properties provide any additional information needed to establish non-XA connections.
`void` | `setConnection2URL(String connectionURL)` The URL for the non-XA data store connection.
`void` | `setConnection2UserName(String connectionUserName)` The user name for the non-XA data store connection.
`void` | `setConnectionDriverName(String driverName)` Class name of the connection driver.
`void` | `setConnectionFactory(Object factory)` The connection factory.
`void` | `setConnectionFactory2(Object factory)` The non-XA connection factory.
`void` | `setConnectionFactory2Name(String cf2Name)` The name for the second data store connection factory.
`void` | `setConnectionFactory2Properties(String props)` Configuration properties for the non-XA connection factory.
`void` | `setConnectionFactoryName(String cfName)` The name for the data store connection factory.
`void` | `setConnectionFactoryProperties(String props)` Configuration properties for the connection factory.
`void` | `setConnectionPassword(String connectionPassword)` The password for the data store connection.
`void` | `setConnectionProperties(String props)` These properties provide any additional information needed to establish connections.
`void` | `setConnectionRetainMode(int mode)` Set the connection retain mode as one of the following symbolic constants: `KodoPersistenceManager.CONN_RETAIN_PM` `KodoPersistenceManager.CONN_RETAIN_TRANS` `KodoPersistenceManager.CONN_RETAIN_DEMAND`
`void` | `setConnectionRetainMode(String mode)` Specifies the behavior of the persistence manager with respect to data store connections.
`void` | `setConnectionURL(String connectionURL)` The URL for the data store connection.
`void` | `setConnectionUserName(String connectionUserName)` The user name for the data store connection.
`void` | `setCopyObjectIds(boolean copy)` Whether to copy identity objects before returning them to client code.
`void` | `setCopyObjectIds(Boolean copy)` Whether to copy identity objects before returning them to client code.
`void` | `setDataCache(String dataCache)` The `DataCache` to use for level-2 data store caching.
`void` | `setDataCacheManager(DataCacheManager manager)` The data cache manager manages this configuration's cache instances.
`void` | `setDataCacheTimeout(int timeout)` Default data cache timeout.
`void` | `setDataCacheTimeout(Integer timeout)` Wrapper for JCA usage of `setDataCacheTimeout(int)`.
`void` | `setEagerFetchMode(int eagerFetchMode)` Set the eager fetch mode as one of the following symbolic constants: `FetchConfiguration.EAGER_FETCH_NONE` `FetchConfiguration.EAGER_FETCH_SINGLE` `FetchConfiguration.EAGER_FETCH_MULTIPLE`
`void` | `setEagerFetchMode(String mode)` Specifies the default eager fetch mode to use.
`void` | `setFetchBatchSize(int size)` Set the size of the batch that will be pre-selected when accessing elements in a query or relationship.
`void` | `setFetchBatchSize(Integer size)` Wrapper for JCA usage of `setFetchBatchSize(int)`.
`void` | `setFetchGroups(String groups)` Sets a list of fetch groups with which all `PersistenceManager` objects obtained from a `PersistenceManagerFactory` should be configured.
`void` | `setFetchGroups(String[] names)` The separated list of fetch groups.
`void` | `setFilterListeners(FilterListener[] listeners)` Set the query filter listeners.
`void` | `setFilterListeners(String listeners)` A ','-separted list of the plugin strings of the query `FilterListener`s to use.
`void` | `setFlushBeforeQueries(int flushBeforeQueries)` Set to one of `FetchConfiguration.QUERY_FLUSH_TRUE`, `FetchConfiguration.QUERY_FLUSH_FALSE`, or `FetchConfiguration.QUERY_FLUSH_WITH_CONNECTION`.
`void` | `setFlushBeforeQueries(String flush)` Sets whether or not Kodo should automatically flush modifications to the data store before executing queries.
`void` | `setIgnoreCache(boolean ignoreCache)` The default IgnoreCache setting for all PersistenceManager instances obtained from this factory.
`void` | `setIgnoreCache(Boolean ignoreCache)` Wrapper for JCA usage of `setIgnoreCache(boolean)`.
`void` | `setJMXInterface(String jmxInterface)` Set the JMXInterface plugin string.
`void` | `setLicenseKey(String licenseKey)` The license key for Kodo.
`void` | `setLockManager(String lockManager)` The plugin to use for datastore lock management.
`void` | `setLockTimeout(int timeout)` The time to wait for an object lock in milliseconds, or -1 for no timeout.
`void` | `setLockTimeout(Integer timeout)` Wrapper for JCA usage of `setLockTimeout(int)`.
`void` | `setLog(String log)` Set the log plugin string to use.
`void` | `setManagedRuntime(ManagedRuntime runtime)` The plugin to use for integrating with a managed runtime.
`void` | `setManagedRuntime(String managedRuntime)` The plugin string for the `ManagedRuntime` to use for managed environments.
`void` | `setMBeans(String mbeans)` Set the MBeans plugin string.
`void` | `setMBeanServerStrategy(String mbeanServerStrategy)` Set the MBeanServerStrategy string.
`void` | `setMetaDataRepository(JDOMetaDataRepository mdRepos)` The metadata repository of managed class information.
`void` | `setMultithreaded(boolean multithreaded)` The default Multithreaded setting for all PersistenceManager instances obtained from this factory.
`void` | `setMultithreaded(Boolean multithreaded)` Wrapper for JCA usage of `setMultithreaded(boolean)`.
`void` | `setNontransactionalRead(boolean ntRead)` The default NontransactionalRead setting for all PersistenceManager instances obtained from this factory.
`void` | `setNontransactionalRead(Boolean ntRead)` Wrapper for JCA usage of `setNontransactionalRead(boolean)`.
`void` | `setNontransactionalWrite(boolean ntWrite)` The default NontransactionalWrite setting for all PersistenceManager instances obtained from this factory.
`void` | `setNontransactionalWrite(Boolean ntWrite)` Wrapper for JCA usage of `setNontransactionalWrite(boolean)`.
`void` | `setOptimistic(boolean optimistic)` The default Optimistic setting for all PersistenceManager instances obtained from this factory.
`void` | `setOptimistic(Boolean optimistic)` Wrapper for JCA usage of `setOptimistic(boolean)`.
`void` | `setPersistenceManagerFactoryClass(String pmFactoryClass)` The `PersistenceManagerFactory` class name.
`void` | `setPersistenceManagerImpl(String pmClass)` The plugin string of the `PersistenceManagerImpl` extension to create.
`void` | `setPersistenceManagerServer(String server)` Plugin string describing whether and how this factory will act as a server to remote persistence managers.
`void` | `setPersistenceManagerServer(Transport transport)` The transport layer for remote persistence manager clients.
`void` | `setPersistentClasses(String classes)` A ','-separted list of the class names of persistent types to register each time a persistence manager is obtained.
`void` | `setPersistentClasses(String[] names)` The separated persistent class names.
`void` | `setProfilingAgent(String profilingAgent)` Set the ProfilingAgent plugin string.
`void` | `setProfilingHelper(String profilingHelper)` Set the ProfilingHelper plugin string.
`void` | `setProfilingInterface(String profilingInterface)` Set the ProfilingInterface plugin string.
`void` | `setProxyManager(ProxyManager manager)` The `ProxyManager` to use.
`void` | `setProxyManager(String proxyManager)` The plugin string for the `ProxyManager` to use for second class object proxies.
`void` | `setQueryCache(String queryache)` The plugin to use for level-2 data store query caching.
`void` | `setQueryCompilationCache(String qccache)` The plugin to use for caching of query compilation data.
`void` | `setReadLockLevel(int level)` The numeric read lock level.
`void` | `setReadLockLevel(String level)` The default read lock level to use during non-optimistic transactions.
`void` | `setRemoteCommitEventManager(RemoteCommitEventManager manager)` The remote event manager that manages this configuration's remote event listeners.
`void` | `setRemoteCommitProvider(String remoteCommitProvider)` The plugin to use for remote commit notification.
`void` | `setRemoteJMXAdaptor(String remoteJMXAdaptor)` Set the RemoteJMXAdaptor plugin string.
`void` | `setRestoreMutableValues(boolean restore)` Whether mutable second class objects are restored on rollback.
`void` | `setRestoreMutableValues(Boolean restore)` JCA wrapper for `setRestoreMutableValues(boolean)`.
`void` | `setRestoreValues(boolean restoreValues)` The default RestoreValues setting for all PersistenceManager instances obtained from this factory.
`void` | `setRestoreValues(Boolean restoreValues)` Wrapper for JCA usage of `setRestoreValues(boolean)`.
`void` | `setRetainValues(boolean retainValues)` The default RetainValues setting for all PersistenceManager instances obtained from this factory.
`void` | `setRetainValues(Boolean retainValues)` Wrapper for JCA usage of `setRetainValues(boolean)`.
`void` | `setRetainValuesInOptimistic(boolean retain)` Whether to allow nontransactional instances to retain their values when modified in an optimistic transaction.
`void` | `setRetainValuesInOptimistic(Boolean retain)` JCA wrapper for `setRetainValuesInOptimistic(boolean)`.
`void` | `setTransactionMode(String mode)` Specifies the behavior of the transaction model.
`void` | `setTransactionModeManaged(boolean managed)` Set whether managed transactions are being used.
`void` | `setWriteLockLevel(int level)` The numeric write lock level.
`void` | `setWriteLockLevel(String level)` The default write lock level to use during non-optimistic transactions.
`Collection` | `supportedOptions()` Return the set of JDO and Kodo option strings supported by this runtime.

Methods inherited from interface com.solarmetric.conf.Configuration
`close, fromProperties, getConfigurationException, getConfigurationLog, getLog, getLogFactory, getValue, getValues, isCaching, isFrozen, setCaching, setFrozen, setLogFactory, toProperties`

Methods inherited from interface java.beans.BeanInfo
`getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getMethodDescriptors, getPropertyDescriptors`

Field Detail

### LOG_METADATA

    public static final String LOG_METADATA

  Name of logger for JDO metadata-related messages: `kodo.MetaData`.

### LOG_ENHANCE

    public static final String LOG_ENHANCE

  Name of logger for enhancement-related messages: `kodo.Enhance`.

### LOG_RUNTIME

    public static final String LOG_RUNTIME

  Name of logger for messages from the runtime system: `kodo.Runtime`.

### LOG_REMOTE

    public static final String LOG_REMOTE

  Name of logger for messages from the remote persistence manager system: `kodo.Remote`.

### LOG_DATACACHE

    public static final String LOG_DATACACHE

  Name of logger for messages from the data cache: `kodo.DataCache`.

### LOG_TOOL

    public static final String LOG_TOOL

  Name of logger for messages from the development tools: `kodo.Tool`.

### OPTION_NONTRANS_READ

    public static final String OPTION_NONTRANS_READ

  JDO option for runtimes that support nontransactional reads.

### OPTION_OPTIMISTIC

    public static final String OPTION_OPTIMISTIC

  JDO option for runtimes that support optimistic transactions.

### OPTION_ID_APPLICATION

    public static final String OPTION_ID_APPLICATION

  JDO option for runtimes that support application identity.

### OPTION_ID_DATASTORE

    public static final String OPTION_ID_DATASTORE

  JDO option for runtimes that support application identity.

### OPTION_NULL_COLLECTION

    public static final String OPTION_NULL_COLLECTION

  JDO option for runtimes that support null collection or map fields.

### OPTION_TYPE_COLLECTION

    public static final String OPTION_TYPE_COLLECTION

  JDO option for runtimes that support persistent collection fields.

### OPTION_TYPE_MAP

    public static final String OPTION_TYPE_MAP

  JDO option for runtimes that support persistent map fields.

### OPTION_TYPE_ARRAY

    public static final String OPTION_TYPE_ARRAY

  JDO option for runtimes that support persistent array fields.

### OPTION_EMBEDDED_RELATION

    public static final String OPTION_EMBEDDED_RELATION

  Kodo option for runtimes that support embedded relations to other persistence capable objects.

### OPTION_EMBEDDED_COLLECTION_RELATION

    public static final String OPTION_EMBEDDED_COLLECTION_RELATION

  Kodo option for runtimes that support collections of embedded relations to other persistence capable objects.

### OPTION_EMBEDDED_MAP_RELATION

    public static final String OPTION_EMBEDDED_MAP_RELATION

  Kodo option for runtimes that support maps of embedded relations to other persistence capable objects.

### OPTION_INC_FLUSH

    public static final String OPTION_INC_FLUSH

  Kodo option for runtimes that support incremental flushing.

Method Detail

### supportedOptions

    public Collection supportedOptions()

  Return the set of JDO and Kodo option strings supported by this runtime. This set is mutable.

### getLicenseKey

    public String getLicenseKey()

  The license key for Kodo.

### setLicenseKey

    public void setLicenseKey(String licenseKey)

  The license key for Kodo.

### getLicense

    public com.solarmetric.license.License getLicense()

  Return the license for the set license key.

### getClassResolver

    public String getClassResolver()

  The plugin string for the `ClassResolver` to use for custom class loading. Defaults to a spec-complicant resolution algorithm.

### setClassResolver

    public void setClassResolver(String classResolver)

  The plugin string for the `ClassResolver` to use for custom class loading. Defaults to a spec-complicant resolution algorithm.

### getClassResolverInstance

    public ClassResolver getClassResolverInstance()

  The `ClassResolver` to use.

### setClassResolver

    public void setClassResolver(ClassResolver classResolver)

  The `ClassResolver` to use.

### getPersistenceManagerImpl

    public String getPersistenceManagerImpl()

  The plugin string of the `PersistenceManagerImpl` extension to create.

### setPersistenceManagerImpl

    public void setPersistenceManagerImpl(String pmClass)

  The plugin string of the `PersistenceManagerImpl` extension to create.

### newPersistenceManagerImplInstance

    public PersistenceManagerImpl newPersistenceManagerImplInstance()

  Create a new persistence manager instance with the configured plugin data.

### getDataCache

    public String getDataCache()

  The `DataCache` to use for level-2 data store caching.

### setDataCache

    public void setDataCache(String dataCache)

  The `DataCache` to use for level-2 data store caching.

### getDataCacheInstances

    public DataCache[] getDataCacheInstances()

  Return the data caches specified in the DataCache plugin list string.

### newDataCacheInstance

    public DataCache newDataCacheInstance()

  Return a new data cache instance using the configured plugin settings.

### getDataCacheTimeout

    public int getDataCacheTimeout()

  Default data cache timeout.
  Since:
    2.5

### setDataCacheTimeout

    public void setDataCacheTimeout(int timeout)

  Default data cache timeout.
  Since:
    2.5

### setDataCacheTimeout

    public void setDataCacheTimeout(Integer timeout)

  Wrapper for JCA usage of `setDataCacheTimeout(int)`.
  Since:
    2.5

### getQueryCache

    public String getQueryCache()

  The plugin to use for level-2 data store query caching.
  Since:
    2.5

### setQueryCache

    public void setQueryCache(String queryache)

  The plugin to use for level-2 data store query caching.
  Since:
    2.5

### newQueryCacheInstance

    public QueryCache newQueryCacheInstance()

  Return a new query cache instance using the configured plugin settings.

### getQueryCompilationCache

    public String getQueryCompilationCache()

  The plugin to use for caching of query compilation data.
  Since:
    3.0.1

### setQueryCompilationCache

    public void setQueryCompilationCache(String qccache)

  The plugin to use for caching of query compilation data.
  Since:
    3.0.1

### getQueryCompilationCacheInstance

    public Map getQueryCompilationCacheInstance()

  Return the `Map` to use in caching query compilation data using the configured plugin settings.
  Since:
    3.0.1

### getLockManager

    public String getLockManager()

  The plugin to use for datastore lock management.
  Since:
    3.1

### setLockManager

    public void setLockManager(String lockManager)

  The plugin to use for datastore lock management.
  Since:
    3.1

### newLockManagerInstance

    public LockManager newLockManagerInstance()

  Return a new lock manager instance using the configured plugin settings.

### getRemoteCommitProvider

    public String getRemoteCommitProvider()

  The plugin to use for remote commit notification.
  Since:
    2.5

### setRemoteCommitProvider

    public void setRemoteCommitProvider(String remoteCommitProvider)

  The plugin to use for remote commit notification.
  Since:
    2.5

### newRemoteCommitProviderInstance

    public RemoteCommitProvider newRemoteCommitProviderInstance()

  Create a remote commit provider from the configured plugin.
  Since:
    3.0

### getTransactionMode

    public String getTransactionMode()

  Specifies the behavior of the transaction model. Possible values are:
  - `local`: Perform transaction operations locally.
  - `managed`: Use managed environment's global transactions.
  Since:
    2.5

### setTransactionMode

    public void setTransactionMode(String mode)

  Specifies the behavior of the transaction model. Possible values are:
  - `local`: Perform transaction operations locally.
  - `managed`: Use managed environment's global transactions.
  Since:
    2.5

### isTransactionModeManaged

    public boolean isTransactionModeManaged()

  Return whether managed transactions are being used.

### setTransactionModeManaged

    public void setTransactionModeManaged(boolean managed)

  Set whether managed transactions are being used.

### getManagedRuntime

    public String getManagedRuntime()

  The plugin string for the `ManagedRuntime` to use for managed environments.

### setManagedRuntime

    public void setManagedRuntime(String managedRuntime)

  The plugin string for the `ManagedRuntime` to use for managed environments.

### getManagedRuntimeInstance

    public ManagedRuntime getManagedRuntimeInstance()

  The plugin to use for integrating with a managed runtime.

### setManagedRuntime

    public void setManagedRuntime(ManagedRuntime runtime)

  The plugin to use for integrating with a managed runtime.

### getProxyManager

    public String getProxyManager()

  The plugin string for the `ProxyManager` to use for second class object proxies.

### setProxyManager

    public void setProxyManager(String proxyManager)

  The plugin string for the `ProxyManager` to use for second class object proxies.

### getProxyManagerInstance

    public ProxyManager getProxyManagerInstance()

  The `ProxyManager` to use.

### setProxyManager

    public void setProxyManager(ProxyManager manager)

  The `ProxyManager` to use.

### getConnectionProperties

    public String getConnectionProperties()

  These properties provide any additional information needed to establish connections.

### setConnectionProperties

    public void setConnectionProperties(String props)

  These properties provide any additional information needed to establish connections.

### getConnectionFactoryProperties

    public String getConnectionFactoryProperties()

  Configuration properties for the connection factory.

### setConnectionFactoryProperties

    public void setConnectionFactoryProperties(String props)

  Configuration properties for the connection factory.

### getConnection2UserName

    public String getConnection2UserName()

  The user name for the non-XA data store connection.

### setConnection2UserName

    public void setConnection2UserName(String connectionUserName)

  The user name for the non-XA data store connection.

### getConnection2Password

    public String getConnection2Password()

  The password for the non-XA data store connection.

### setConnection2Password

    public void setConnection2Password(String connectionPassword)

  The password for the non-XA data store connection.

### getConnection2URL

    public String getConnection2URL()

  The URL for the non-XA data store connection.

### setConnection2URL

    public void setConnection2URL(String connectionURL)

  The URL for the non-XA data store connection.

### getConnection2DriverName

    public String getConnection2DriverName()

  Class name of the non-XA connection driver.

### setConnection2DriverName

    public void setConnection2DriverName(String driverName)

  Class name of the non-XA connection driver.

### getConnection2Properties

    public String getConnection2Properties()

  These properties provide any additional information needed to establish non-XA connections.
  Since:
    3.0

### setConnection2Properties

    public void setConnection2Properties(String props)

  These properties provide any additional information needed to establish non-XA connections.
  Since:
    3.0

### getConnectionFactory2Properties

    public String getConnectionFactory2Properties()

  Configuration properties for the non-XA connection factory.
  Since:
    2.5

### setConnectionFactory2Properties

    public void setConnectionFactory2Properties(String props)

  Configuration properties for the non-XA connection factory.
  Since:
    2.5

### getCopyObjectIds

    public boolean getCopyObjectIds()

  Whether to copy identity objects before returning them to client code.
  Since:
    3.0

### setCopyObjectIds

    public void setCopyObjectIds(boolean copy)

  Whether to copy identity objects before returning them to client code.
  Since:
    3.0

### setCopyObjectIds

    public void setCopyObjectIds(Boolean copy)

  Whether to copy identity objects before returning them to client code.
  Since:
    3.0

### getPersistenceManagerFactoryClass

    public String getPersistenceManagerFactoryClass()

  The `PersistenceManagerFactory` class name.

### setPersistenceManagerFactoryClass

    public void setPersistenceManagerFactoryClass(String pmFactoryClass)

  The `PersistenceManagerFactory` class name.

### getOptimistic

    public boolean getOptimistic()

  The default Optimistic setting for all PersistenceManager instances obtained from this factory.

### setOptimistic

    public void setOptimistic(boolean optimistic)

  The default Optimistic setting for all PersistenceManager instances obtained from this factory.

### setOptimistic

    public void setOptimistic(Boolean optimistic)

  Wrapper for JCA usage of `setOptimistic(boolean)`.

### getRetainValues

    public boolean getRetainValues()

  The default RetainValues setting for all PersistenceManager instances obtained from this factory.

### setRetainValues

    public void setRetainValues(boolean retainValues)

  The default RetainValues setting for all PersistenceManager instances obtained from this factory.

### setRetainValues

    public void setRetainValues(Boolean retainValues)

  Wrapper for JCA usage of `setRetainValues(boolean)`.

### getRestoreValues

    public boolean getRestoreValues()

  The default RestoreValues setting for all PersistenceManager instances obtained from this factory.

### setRestoreValues

    public void setRestoreValues(boolean restoreValues)

  The default RestoreValues setting for all PersistenceManager instances obtained from this factory.

### setRestoreValues

    public void setRestoreValues(Boolean restoreValues)

  Wrapper for JCA usage of `setRestoreValues(boolean)`.

### getIgnoreCache

    public boolean getIgnoreCache()

  The default IgnoreCache setting for all PersistenceManager instances obtained from this factory.

### setIgnoreCache

    public void setIgnoreCache(boolean ignoreCache)

  The default IgnoreCache setting for all PersistenceManager instances obtained from this factory.

### setIgnoreCache

    public void setIgnoreCache(Boolean ignoreCache)

  Wrapper for JCA usage of `setIgnoreCache(boolean)`.

### getNontransactionalRead

    public boolean getNontransactionalRead()

  The default NontransactionalRead setting for all PersistenceManager instances obtained from this factory.

### setNontransactionalRead

    public void setNontransactionalRead(boolean ntRead)

  The default NontransactionalRead setting for all PersistenceManager instances obtained from this factory.

### setNontransactionalRead

    public void setNontransactionalRead(Boolean ntRead)

  Wrapper for JCA usage of `setNontransactionalRead(boolean)`.

### getNontransactionalWrite

    public boolean getNontransactionalWrite()

  The default NontransactionalWrite setting for all PersistenceManager instances obtained from this factory.

### setNontransactionalWrite

    public void setNontransactionalWrite(boolean ntWrite)

  The default NontransactionalWrite setting for all PersistenceManager instances obtained from this factory.

### setNontransactionalWrite

    public void setNontransactionalWrite(Boolean ntWrite)

  Wrapper for JCA usage of `setNontransactionalWrite(boolean)`.

### getMultithreaded

    public boolean getMultithreaded()

  The default Multithreaded setting for all PersistenceManager instances obtained from this factory.

### setMultithreaded

    public void setMultithreaded(boolean multithreaded)

  The default Multithreaded setting for all PersistenceManager instances obtained from this factory.

### setMultithreaded

    public void setMultithreaded(Boolean multithreaded)

  Wrapper for JCA usage of `setMultithreaded(boolean)`.

### getConnectionUserName

    public String getConnectionUserName()

  The user name for the data store connection.

### setConnectionUserName

    public void setConnectionUserName(String connectionUserName)

  The user name for the data store connection.

### getConnectionPassword

    public String getConnectionPassword()

  The password for the data store connection.

### setConnectionPassword

    public void setConnectionPassword(String connectionPassword)

  The password for the data store connection.

### getConnectionURL

    public String getConnectionURL()

  The URL for the data store connection.

### setConnectionURL

    public void setConnectionURL(String connectionURL)

  The URL for the data store connection.

### getConnectionDriverName

    public String getConnectionDriverName()

  Class name of the connection driver.

### setConnectionDriverName

    public void setConnectionDriverName(String driverName)

  Class name of the connection driver.

### getConnectionFactoryName

    public String getConnectionFactoryName()

  The name for the data store connection factory.

### setConnectionFactoryName

    public void setConnectionFactoryName(String cfName)

  The name for the data store connection factory.

### getConnectionFactory

    public Object getConnectionFactory()

  The connection factory, possibly from JNDI.

### setConnectionFactory

    public void setConnectionFactory(Object factory)

  The connection factory.

### getConnectionFactory2Name

    public String getConnectionFactory2Name()

  The name for the second data store connection factory.

### setConnectionFactory2Name

    public void setConnectionFactory2Name(String cf2Name)

  The name for the second data store connection factory.

### getConnectionFactory2

    public Object getConnectionFactory2()

  The non-XA connection factory.

### setConnectionFactory2

    public void setConnectionFactory2(Object factory)

  The non-XA connection factory.

### getEagerFetchMode

    public String getEagerFetchMode()

  Specifies the default eager fetch mode to use. Defaults to `multiple` unless the query is by-oid. Possible values are:
  - `none`: When querying for an object, do not try to select for related objects at the same time.
  - `single`: When querying for objects, also select for 1-1 relations in the configured fetch groups when efficient.
  - `multiple`: When querying for objects, also select for all relations in the configured fetch groups when efficient.
  Since:
    3.0

### setEagerFetchMode

    public void setEagerFetchMode(String mode)

  Specifies the default eager fetch mode to use. Defaults to `multiple`. Possible values are:
  - `none`: When querying for an object, do not try to select for related objects at the same time.
  - `single`: When querying for objects, also select for 1-1 relations in the configured fetch groups when efficient.
  - `multiple`: When querying for objects, also select for all relations in the configured fetch groups when efficient.
  Since:
    3.0

### getEagerFetchModeConstant

    public int getEagerFetchModeConstant()

  Return the eager fetch mode as one of the following symbolic constants:
  - `FetchConfiguration.EAGER_FETCH_NONE`
  - `FetchConfiguration.EAGER_FETCH_SINGLE`
  - `FetchConfiguration.EAGER_FETCH_MULTIPLE`
  Since:
    3.0

### setEagerFetchMode

    public void setEagerFetchMode(int eagerFetchMode)

  Set the eager fetch mode as one of the following symbolic constants:
  - `FetchConfiguration.EAGER_FETCH_NONE`
  - `FetchConfiguration.EAGER_FETCH_SINGLE`
  - `FetchConfiguration.EAGER_FETCH_MULTIPLE`
  Since:
    3.0

### getFetchBatchSize

    public int getFetchBatchSize()

  Get the size of the batch that will be pre-selected when accessing elements in a query or relationship. Use -1 to prefetch all results.

### setFetchBatchSize

    public void setFetchBatchSize(int size)

  Set the size of the batch that will be pre-selected when accessing elements in a query or relationship. Use -1 to prefetch all results.

### setFetchBatchSize

    public void setFetchBatchSize(Integer size)

  Wrapper for JCA usage of `setFetchBatchSize(int)`.

### getFetchGroups

    public String getFetchGroups()

  Returns a list of fetch groups with which all `PersistenceManager` objects obtained from a `PersistenceManagerFactory` should be configured.
  Since:
    2.5

### setFetchGroups

    public void setFetchGroups(String groups)

  Sets a list of fetch groups with which all `PersistenceManager` objects obtained from a `PersistenceManagerFactory` should be configured.
  Since:
    2.5

### getFetchGroupsList

    public String[] getFetchGroupsList()

  The separated list of fetch groups.

### setFetchGroups

    public void setFetchGroups(String[] names)

  The separated list of fetch groups.

### getFlushBeforeQueries

    public String getFlushBeforeQueries()

  Returns whether or not Kodo should automatically flush modifications to the data store before executing queries. See the Kodo JDO Reference Guide for details.
  Since:
    2.5

### setFlushBeforeQueries

    public void setFlushBeforeQueries(String flush)

  Sets whether or not Kodo should automatically flush modifications to the data store before executing queries. See the Kodo JDO Reference Guide for details.
  Since:
    2.5

### getFlushBeforeQueriesConstant

    public int getFlushBeforeQueriesConstant()

  Returns one of `FetchConfiguration.QUERY_FLUSH_TRUE`, `FetchConfiguration.QUERY_FLUSH_FALSE`, or `FetchConfiguration.QUERY_FLUSH_WITH_CONNECTION`, as determined by parsing the string returned by `getFlushBeforeQueries()`.
  Since:
    2.5

### setFlushBeforeQueries

    public void setFlushBeforeQueries(int flushBeforeQueries)

  Set to one of `FetchConfiguration.QUERY_FLUSH_TRUE`, `FetchConfiguration.QUERY_FLUSH_FALSE`, or `FetchConfiguration.QUERY_FLUSH_WITH_CONNECTION`.
  Since:
    2.5

### getLockTimeout

    public int getLockTimeout()

  The time to wait for an object lock in milliseconds, or -1 for no timeout.
  Since:
    3.1

### setLockTimeout

    public void setLockTimeout(int timeout)

  The time to wait for an object lock in milliseconds, or -1 for no timeout.
  Since:
    3.1

### setLockTimeout

    public void setLockTimeout(Integer timeout)

  Wrapper for JCA usage of `setLockTimeout(int)`.
  Since:
    3.1

### getReadLockLevel

    public String getReadLockLevel()

  The default read lock level to use during non-optimistic transactions. Defaults to `read`.
  Since:
    3.1

### setReadLockLevel

    public void setReadLockLevel(String level)

  The default read lock level to use during non-optimistic transactions. Defaults to `read`.
  Since:
    3.1

### getReadLockLevelConstant

    public int getReadLockLevelConstant()

  The numeric read lock level.
  Since:
    3.1

### setReadLockLevel

    public void setReadLockLevel(int level)

  The numeric read lock level.
  Since:
    3.1

### getWriteLockLevel

    public String getWriteLockLevel()

  The default write lock level to use during non-optimistic transactions. Defaults to `write`.
  Since:
    3.1

### setWriteLockLevel

    public void setWriteLockLevel(String level)

  The default write lock level to use during non-optimistic transactions. Defaults to `write`.
  Since:
    3.1

### getWriteLockLevelConstant

    public int getWriteLockLevelConstant()

  The numeric write lock level.
  Since:
    3.1

### setWriteLockLevel

    public void setWriteLockLevel(int level)

  The numeric write lock level.
  Since:
    3.1

### getRestoreMutableValues

    public boolean getRestoreMutableValues()

  Whether mutable second class objects are restored on rollback. The standard JDO `javax.jdo.RestoreValues` property must also be set to true for second class values to be restored. Defaults to false.

### setRestoreMutableValues

    public void setRestoreMutableValues(boolean restore)

  Whether mutable second class objects are restored on rollback. The standard JDO `javax.jdo.RestoreValues` property must also be set to true for second class values to be restored. Defaults to false.

### setRestoreMutableValues

    public void setRestoreMutableValues(Boolean restore)

  JCA wrapper for `setRestoreMutableValues(boolean)`.

### setRetainValuesInOptimistic

    public void setRetainValuesInOptimistic(boolean retain)

  Whether to allow nontransactional instances to retain their values when modified in an optimistic transaction. The standard JDO `javax.jdo.option.RetainValues` property must also be set to true for this property to take effect. Defaults to false.

### getRetainValuesInOptimistic

    public boolean getRetainValuesInOptimistic()

  Whether to allow nontransactional instances to retain their values when modified in an optimistic transaction. The standard JDO `javax.jdo.option.RetainValues` property must also be set to true for this property to take effect. Defaults to false.

### setRetainValuesInOptimistic

    public void setRetainValuesInOptimistic(Boolean retain)

  JCA wrapper for `setRetainValuesInOptimistic(boolean)`.

### getConnectionRetainMode

    public String getConnectionRetainMode()

  Specifies the behavior of the persistence manager with respect to data store connections. Possible values are:
  - `persistence-manager`: Each persistence manager obtains a single connection and uses it until the persistence manager is closed.
  - `transaction`: A connection is obtained when each transaction begins (optimistic or datastore), and is released when the transaction completes.
  - `on-demand`: Connections are obtained only when needed. This is the default mode. It is equivalent to the previous option when datastore transactions are used. For optimistic transactions, though, it means that a connection will be retained only for the duration of the data store commit process.
  Since:
    2.5

### setConnectionRetainMode

    public void setConnectionRetainMode(String mode)

  Specifies the behavior of the persistence manager with respect to data store connections. Possible values are:
  - `persistence-manager`: Each persistence manager obtains a single connection and uses it until the persistence manager is closed.
  - `transaction`: A connection is obtained when each transaction begines (optimistic or datastore), and is released when the transaction completes.
  - `on-demand`: Connections are obtained only when needed. This is the default mode. It is equivalent to the previous option when datastore transactions are used. For optimistic transactions, though, it means that a connection will be retained only for the duration of the data store commit process.
  Since:
    2.5

### getConnectionRetainModeConstant

    public int getConnectionRetainModeConstant()

  Return the connection retain mode as one of the following symbolic constants:
  - `KodoPersistenceManager.CONN_RETAIN_PM`
  - `KodoPersistenceManager.CONN_RETAIN_TRANS`
  - `KodoPersistenceManager.CONN_RETAIN_DEMAND`

### setConnectionRetainMode

    public void setConnectionRetainMode(int mode)

  Set the connection retain mode as one of the following symbolic constants:
  - `KodoPersistenceManager.CONN_RETAIN_PM`
  - `KodoPersistenceManager.CONN_RETAIN_TRANS`
  - `KodoPersistenceManager.CONN_RETAIN_DEMAND`

### getFilterListeners

    public String getFilterListeners()

  A ','-separted list of the plugin strings of the query `FilterListener`s to use.

### setFilterListeners

    public void setFilterListeners(String listeners)

  A ','-separted list of the plugin strings of the query `FilterListener`s to use.

### getFilterListenerInstances

    public FilterListener[] getFilterListenerInstances()

  Return the query filter listeners. If none have been set explicitly, this method instantiates the listeners from the set plugin list.

### setFilterListeners

    public void setFilterListeners(FilterListener[] listeners)

  Set the query filter listeners. Overrides the list of listener classes.

### getAggregateListeners

    public String getAggregateListeners()

  A ','-separted list of the plugin strings of the query `AggregateListener`s to use.

### setAggregateListeners

    public void setAggregateListeners(String listeners)

  A ','-separted list of the plugin strings of the query `AggregateListener`s to use.

### getAggregateListenerInstances

    public AggregateListener[] getAggregateListenerInstances()

  Return the query function listeners. If none have been set explicitly, this method instantiates the listeners from the set plugin list.

### setAggregateListeners

    public void setAggregateListeners(AggregateListener[] listeners)

  Set the query function listeners. Overrides the list of listener classes.

### getPersistentClasses

    public String getPersistentClasses()

  A ','-separted list of the class names of persistent types to register each time a persistence manager is obtained.
  Since:
    2.4.1

### setPersistentClasses

    public void setPersistentClasses(String classes)

  A ','-separted list of the class names of persistent types to register each time a persistence manager is obtained.
  Since:
    2.4.1

### getPersistentClassesList

    public String[] getPersistentClassesList()

  The separated persistent class names.

### setPersistentClasses

    public void setPersistentClasses(String[] names)

  The separated persistent class names.

### getMetaDataRepository

    public JDOMetaDataRepository getMetaDataRepository()

  The metadata repository of managed class information. If no repository has been set, creates one.
  Since:
    3.0

### setMetaDataRepository

    public void setMetaDataRepository(JDOMetaDataRepository mdRepos)

  The metadata repository of managed class information.
  Since:
    3.0

### getDataCacheManager

    public DataCacheManager getDataCacheManager()

  The data cache manager manages this configuration's cache instances. The cache manager is created if it has not been set.
  Since:
    3.0

### setDataCacheManager

    public void setDataCacheManager(DataCacheManager manager)

  The data cache manager manages this configuration's cache instances.
  Since:
    3.0

### getRemoteCommitEventManager

    public RemoteCommitEventManager getRemoteCommitEventManager()

  The remote event manager that manages this configuration's remote event listeners.
  Since:
    3.0

### setRemoteCommitEventManager

    public void setRemoteCommitEventManager(RemoteCommitEventManager manager)

  The remote event manager that manages this configuration's remote event listeners.
  Since:
    3.0

### getPersistenceManagerServer

    public String getPersistenceManagerServer()

  Plugin string describing whether and how this factory will act as a server to remote persistence managers.
  Since:
    3.1

### setPersistenceManagerServer

    public void setPersistenceManagerServer(String server)

  Plugin string describing whether and how this factory will act as a server to remote persistence managers.
  Since:
    3.1

### getPersistenceManagerServerInstance

    public Transport getPersistenceManagerServerInstance()

  The transport layer for remote persistence manager clients.
  Since:
    3.1

### setPersistenceManagerServer

    public void setPersistenceManagerServer(Transport transport)

  The transport layer for remote persistence manager clients.
  Since:
    3.1

### getMBeanServer

    public javax.management.MBeanServer getMBeanServer()

  Get the MBeanServer instance associated with this configuration.

### setRemoteJMXAdaptor

    public void setRemoteJMXAdaptor(String remoteJMXAdaptor)

  Set the RemoteJMXAdaptor plugin string.

### getRemoteJMXAdaptor

    public String getRemoteJMXAdaptor()

  Get the RemoteJMXAdaptor plugin string.

### setJMXInterface

    public void setJMXInterface(String jmxInterface)

  Set the JMXInterface plugin string.

### getJMXInterface

    public String getJMXInterface()

  Get the JMXInterface plugin string.

### setMBeanServerStrategy

    public void setMBeanServerStrategy(String mbeanServerStrategy)

  Set the MBeanServerStrategy string.

### getMBeanServerStrategy

    public String getMBeanServerStrategy()

  Get the MBeanServerStrategy string.

### getTimeWatchManager

    public KodoTimeWatchManager getTimeWatchManager()

  Get the TimeWatch Watchable for this configuration.

### getProfilingAgentInstance

    public kodo.profile.KodoProfilingAgent getProfilingAgentInstance()

  Get the KodoProfilingAgent instance associated with this configuration.

### setProfilingAgent

    public void setProfilingAgent(String profilingAgent)

  Set the ProfilingAgent plugin string.

### getProfilingAgent

    public String getProfilingAgent()

  Get the ProfilingAgent plugin string.

### setProfilingInterface

    public void setProfilingInterface(String profilingInterface)

  Set the ProfilingInterface plugin string.

### getProfilingInterface

    public String getProfilingInterface()

  Get the ProfilingInterface plugin string.

### setProfilingHelper

    public void setProfilingHelper(String profilingHelper)

  Set the ProfilingHelper plugin string.

### getProfilingHelper

    public String getProfilingHelper()

  Get the ProfilingHelper plugin string.

### setMBeans

    public void setMBeans(String mbeans)

  Set the MBeans plugin string.

### getMBeans

    public String getMBeans()

  Get the MBeans plugin string.

### getProfilingHelperInstance

    public com.solarmetric.profile.ProfilingHelper getProfilingHelperInstance()

  Get the ProfilingHelper instance.

### setLog

    public void setLog(String log)

  Set the log plugin string to use.

### getLog

    public String getLog()

  Get the log configuration string to use.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.